use ina3221;

fn main() {
    let mut ina = ina3221::Ina3221::new(0x40);
    let res = match ina.current(ina3221::Channel::One) {
        Ok(value) => value,
        Err(error) => panic!("Can't read i2c: {error:?}"),
    };
    println!("Channel one current: {:?} mA", res);
}
